Package org.mozilla.javascript.tools.debugger

## Class Dim.FunctionSource

- java.lang.Object
- - org.mozilla.javascript.tools.debugger.Dim.FunctionSource

- Enclosing class:
    Dim

      public static class Dim.FunctionSource
      extends java.lang.Object

  Class to store information about a function.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `firstLine()` | Returns the line number of the first line of the function.
    `java.lang.String` | `name()` | Returns the name of the function.
    `Dim.SourceInfo` | `sourceInfo()` | Returns the SourceInfo object that describes the source of the function.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### sourceInfo

          public Dim.SourceInfo sourceInfo()

      Returns the SourceInfo object that describes the source of the function.

    - #### firstLine

          public int firstLine()

      Returns the line number of the first line of the function.

    - #### name

          public java.lang.String name()

      Returns the name of the function.